---
PHPMailer:
  fingerprints:
    - exclude: Joomla.Legacy
      file: class.phpmailer.php
      signature: phpmailer
  name: PHPMailer
  releases:
    6:
      minor: 6.2
      release: 6.2.0
  update:
    current:
      base: .release.label-latest a span
      major: 1
      minor: 2
      regex: '([0-9.]*)$'
      single: 1
      url: https://github.com/PHPMailer/PHPMailer/releases/latest
  versions:
    - file: class.phpmailer.php
      regex: "[public|var] .*Version += [\"'](.*)[\"']"
creloaded:
  fingerprints:
    - file: /admin/includes/version.php
      signature: CRE Loaded
    - file: checkout.php
      signature: loaded7
  name: CRE Loaded
  releases:
    7:
      minor: 7.003
      release: 7.003.4.2
  update:
    current:
      base: .release.label-latest a span
      major: 1
      minor: 2
      regex: '([0-9]*\.[0-9.]*)'
      single: 1
      url: https://github.com/loadedcommerce/loaded7/releases
  versions:
    - file: /admin/includes/version.php
      multiline: 1
      regex: "INSTALLED_(?:VERSION_MAJOR|VERSION_MINOR|PATCH)', '(.*)'"
    - file: /includes/version.txt
      regex: '^(.*)\|'
drupal:
  CVE:
    CVE-2018-7600:
      description: 'Highly Critical - Remote Code Execution'
      level: critical
      url: https://www.drupal.org/sa-core-2018-002
      versions:
        - '1 - 1.999'
        - '2 - 2.999'
        - '3 - 3.999'
        - '4 - 4.999'
        - '5 - 5.999'
        - '6 - 6.999'
        - '7 - 7.57'
        - '8.3.0 - 8.3.8'
        - '8.4.0 - 8.4.5'
        - '8.5.0 - 8.5.0'
  fingerprints:
    - file: authorize.php
      signature: Drupal
    - file: includes/database.mysql.inc
      signature: Drupal
  name: Drupal
  notices:
    6: Drupal 6 reached end of life on February 24th 2016 and is no longer be supported.
  releases:
    7:
      minor: 7
      release: 7.78
    8:
      minor: 8
      release: 8.9.13
    9:
      minor: 9
      release: 9.1.4
  update:
    recommended:
      base: .view-project-downloads .views-field h4
      major: 1
      minor: 1
      regex: '([0-9]*\.[0-9.]*)$'
      url: https://www.drupal.org/project/drupal
  versions:
    - file: includes/bootstrap.inc
      regex: "define.*VERSION', '(.*)'"
    - file: CHANGELOG.txt
      regex: 'Drupal ([0-9]*\.[0-9.]*),'
    - file: lib/Drupal.php
      regex: const VERSION = '(.*)';
    - file: modules/system/system.module
      regex: "define.*VERSION', '(.*)'"
e107:
  fingerprints:
    - file: e107_config.php
  name: e107
  notices:
    1: 'This version of e107 has not been updated since March 14, 2013.'
  releases:
    1.0:
      minor: 1.0
      release: 1.0.4
    2.3:
      minor: 2.3
      release: 2.3.0
  update:
    current:
      base: '#latest li a'
      major: 2
      minor: 2
      regex: '([0-9]+\.[0-9.]+(-rc[0-9]+)?)[_ ]'
      single: 1
      url: http://e107.org/download
    legacy:
      base: '#old li a'
      major: 2
      minor: 2
      regex: '([0-9]*\.[0-9.]*)'
      single: 1
      url: http://e107.org/download
  versions:
    - file: admin/ver.php
      regex: e107_version.*"(.*)";
    - file: e107_admin/ver.php
      regex: e107_version.*"(.*)";
evolution:
  fingerprints:
    - file: manager/includes/version.inc.php
      regex: Evolution
    - file: core/factory/version.php
      regex: Evolution CMS
  name: Evo CMS (ModX Evolution)
  releases:
    1.4:
      minor: 1.4
      release: 1.4.12
    2.0:
      minor: 2.0
      release: 2.0.4
  update:
    1.x:
      base: '.release-header a[href*=tag/1.]'
      major: 2
      minor: 2
      regex: '([0-9]*\.[0-9.]*)'
      single: 1
      url: https://github.com/evolution-cms/evolution/releases
    2.x:
      base: '.release-header a[href*=tag/2.]'
      major: 2
      minor: 2
      regex: '([0-9]*\.[0-9.]*)'
      single: 1
      url: https://github.com/evolution-cms/evolution/releases
  versions:
    - file: manager/includes/version.inc.php
      regex: _version.*'(.*)'
    - file: core/factory/version.php
      regex: version.*=>.*'(.*)'
grav:
  fingerprints:
    - file: system/defines.php
      regex: grav
  name: Grav
  releases:
    1:
      minor: 1
      release: 1.7.6
  update:
    1:
      base: .version strong
      major: 1
      minor: 1
      regex: '([0-9.]*)'
      single: 1
      url: https://getgrav.org/downloads
  versions:
    - file: system/defines.php
      multiline: 1
      regex: "define.*GRAV_VERSION', '(.*)'"
joomla:
  fingerprints:
    - file: includes/joomla.php
    - file: includes/version.php
      signature: Joomla!
    - file: libraries/cms/version/version.php
      signature: Joomla.(Libraries|Site)
    - file: includes/defines.php
      signature: Joomla.Site
  name: Joomla!
  releases:
    3:
      minor: 3.9
      release: 3.9.24
  update:
    current:
      base: '#latest .title'
      major: 1
      minor: 2
      regex: '^Download Joomla! ([0-9]*\.[0-9.]*)'
      single: 1
      url: https://downloads.joomla.org/
  versions:
    - file: CHANGELOG.php
      regex: -* (.*) Stable Release
    - file: includes/version.php
      multiline: 1
      regex: (?:\$RELEASE|\$DEV_LEVEL) = '(.*)'
    - file: libraries/cms/version/version.php
      multiline: 1
      regex: (?:\$RELEASE|\$DEV_LEVEL) = '(.*)'
    - file: administrator/manifests/files/joomla.xml
      regex: '<version>(.*)</version>'
laravel:
  fingerprints:
    - file: vendor/laravel/framework/src/Illuminate/Foundation/Application.php
  name: Laravel
  notices:
    5: '5.5 LTS goes EOL on Aug 30, 2020'
  releases:
    8:
      minor: 8.26
      release: 8.26.1
  update:
    6:
      base: .release.label-latest a span
      major: 1
      minor: 2
      regex: 'v([0-9.]*)'
      single: 1
      url: https://github.com/laravel/framework/releases
  versions:
    - file: vendor/laravel/framework/src/Illuminate/Foundation/Application.php
      regex: "const VERSION = '([0-9]*\\.[0-9.]*)'"
magento:
  fingerprints:
    - file: app/Mage.php
      signature: magentocommerce
    - file: vendor/magento/magento2-base/composer.json
      signature: magento/magento2-base
  name: Magento
  notices:
    1: 'Magento 1.x went EOL June 30, 2020'
    2.0: Magento 2.0 went EOL March 2018
    2.1: Magento 2.1 went EOL June 2019
    2.2: Magento 2.2 went EOL Dec 2019
  releases:
    2.3:
      minor: 2.3
      release: 2.3.6
    2.4:
      minor: 2.4
      release: 2.4.2
  update:
    2.3:
      base: '.release-header a[href*=2.3.]'
      major: 2
      minor: 2
      regex: '([0-9]*\.[0-9.]*)'
      single: 1
      url: https://github.com/magento/magento2/releases
    2.4:
      base: '.release-header a[href*=2.4.]'
      major: 2
      minor: 2
      regex: '([0-9]*\.[0-9.]*)'
      single: 1
      url: https://github.com/magento/magento2/releases
  versions:
    - file: app/Mage.php
      multiline: 1
      regex: (?:'major'|'minor'|'revision'|'patch').* => '(.*)'
    - file: vendor/magento/magento2-base/composer.json
      regex: '(?:\"version\").*: "(.*)"'
      single: 1
mambo:
  fingerprints:
    - file: includes/mambofunc.php
  name: Mambo
  notices:
    all: 'The Mambo project has been completely abandoned, there will be no future updates.'
  releases:
    4:
      eol: 1
      minor: 4.6
      release: 4.6.5
  versions:
    - file: includes/version.php
      multiline: 1
      regex: (?:\$RELEASE|\$DEV_LEVEL) = '(.*)'
mediawiki:
  fingerprints:
    - file: includes/DefaultSettings.php
      signature: mediawiki
  name: MediaWiki
  releases:
    1.31:
      minor: 1.31
      release: 1.31.12
    1.35:
      minor: 1.35
      release: 1.35.1
  update:
    current:
      base: table.plainlinks li
      major: 2
      minor: 2
      regex: 'MediaWiki ([0-9.]*) '
      url: https://www.mediawiki.org/wiki/Download
  versions:
    - file: includes/DefaultSettings.php
      regex: \$wgVersion = '(.*)'
modx:
  fingerprints:
    - exclude: (?:Evolution|EVO_CORE_PATH)
      file: manager/includes/version.inc.php
      regex: modx
    - exclude: evolution
      file: core/docs/version.inc.php
      regex: MODX
  name: MODx
  releases:
    2.8:
      minor: 2.8
      release: 2.8.1
  update:
    revolution:
      base: .release-entry h4 a
      major: 2
      minor: 2
      regex: 'v([0-9.]*)'
      single: 1
      url: https://github.com/modxcms/revolution/releases
  versions:
    - file: manager/includes/version.inc.php
      regex: "(?:modx_)?version.*'([0-9.]*)'"
    - file: core/docs/version.inc.php
      multiline: 1
      regex: "'(?:major_|minor_)?version.*'([0-9]*)'"
opencart:
  fingerprints:
    - file: system/engine/action.php
      signature: OpenCart
  name: OpenCart
oscommerce:
  fingerprints:
    - exclude: zen-cart|loaded7
      file: admin/includes/filenames.php
      signature: osCommerce
    - file: OM/Core/OSCOM.php
      signature: osCommerce
  name: osCommerce
  releases:
    2:
      minor: 2.3
      release: 2.3.4
    3:
      minor: 3.0
      release: 3.0.2
  update:
    2:
      base: '#maincontent form option'
      major: 1
      minor: 2
      regex: '^v([0-9.]*).*$'
      single: 1
      url: http://www.oscommerce.com/Products
    3:
      base: .release-timeline-tags .commit a
      major: 1
      minor: 2
      regex: 'v([0-9.]*)'
      single: 1
      url: https://github.com/osCommerce/oscommerce/releases
  versions:
    - file: includes/version.php
      flatfile: 1
    - file: OM/version.txt
      flatfile: 1
    - file: index.php
      regex: 'Id: index.php,v ([0-9.]*)'
phpbb3:
  fingerprints:
    - file: includes/bbcode.php
      signature: phpBB
  name: phpBB3
  notices:
    3.0: 'End of Life Date: November 2015'
  releases:
    3.1:
      minor: 3.1
      release: 3.1.12
    3.3:
      minor: 3.3
      release: 3.3.3
  update:
    3.1:
      base: .download-container .download dd a
      major: 2
      minor: 2
      regex: '([0-9.]+)'
      single: 1
      url: https://www.phpbb.com/downloads/3.1/install
    latest:
      base: .download-container dd a
      major: 2
      minor: 2
      regex: '([0-9.]+)'
      single: 1
      url: https://www.phpbb.com/downloads/
  versions:
    - file: includes/constants.php
      filter: -PL
      regex: "PHPBB_VERSION', '(.*)'"
piwigo:
  fingerprints:
    - file: identification.php
      signature: Piwigo
  name: Piwigo
  releases:
    11:
      minor: 11.3
      release: 11.3.0
  update:
    current:
      base: 'p[class^="pwg-release-date"]'
      major: 1
      minor: 2
      regex: 'version ([0-9.]*)'
      single: 1
      url: http://piwigo.org/
  versions:
    - file: include/constants.php
      regex: "PHPWG_VERSION', '(.*)'"
prestashop:
  fingerprints:
    - file: init.php
      signature: PrestaShop
  name: PrestaShop
redmine:
  fingerprints:
    - file: lib/redmine.rb
      signature: redmine
  name: Redmine
  releases:
    4.0:
      minor: 4.0
      release: 4.0.7
    4.1:
      minor: 4.1
      release: 4.1.1
  update:
    current:
      base: .wiki-page ul li
      major: 2
      minor: 2
      regex: '^([0-9.]*) \('
      url: http://www.redmine.org/projects/redmine/wiki/Download
  versions:
    - file: doc/CHANGELOG
      regex: ==.* v(.*)
revive:
  fingerprints:
    - file: lib/OX.php
      signature: OpenX
  name: OpenX / Revive
  releases:
    5:
      minor: 5.1
      release: 5.1.1
  update:
    current:
      base: .et_pb_column_0 .et_pb_blurb_container h4 span
      major: 1
      minor: 2
      regex: 'Revive.*version ([0-9.]+)'
      single: 1
      url: http://www.revive-adserver.com/download/
  versions:
    - file: constants.php
      regex: "VERSION', '(.*)'"
vbulletin:
  fingerprints:
    - file: admincp/diagnostic.php
      signature: vbulletin
  name: vBulletin
  releases:
    5:
      minor: 5.6
      release: 5.6.4
  update:
    current:
      base: '.versionselectbox option[selected]'
      major: 1
      minor: 2
      regex: '([0-9.]*( Patch Level [0-9.]*)?)'
      single: 1
      url: http://www.vbulletin.com/docs/html/top
  versions:
    - file: admincp/diagnostic.php
      filter: ' Patch Level '
      regex: sum_versions.*vbulletin.*=> '(.*)'
whmcs:
  fingerprints:
    - file: includes/classes/WHMCS/Admin.php
      signature: WHMCS
    - file: vendor/whmcs/whmcs-foundation/lib/Admin.php
  name: WHMCS
  notices:
    7.10: 'End of Life Date: 30th April 2021'
    8.0: 'End of Life Date: 30th September 2021'
    8.1: 'End of Life Date: 31st December 2021'
    all: 'Due to potential security concerns, it is recommended to only run this on a server dedicated to WHMCS.'
  releases:
    7.10:
      minor: 7.10
      release: 7.10.2
    8.0:
      minor: 8.0
      release: 8.0.4
    8.1:
      minor: 8.1
      release: 8.1.1
  update:
    sub: whmcs_json
  versions:
    - file: init.php
      regex: '\* Version\: ([0-9.]*)'
    - file: announcements.php
      regex: 'Version: ([0-9.]*)'
wordpress:
  fingerprints:
    - direxclude:
        - gotmls/safe-load
      file: wp-settings.php
  name: WordPress
  notices:
    4.9.3: 'Automated updates are broken with WordPress 4.9.3, you will need to manually update'
  releases:
    3:
      minor: 3.9
      release: 3.9.33
    5:
      minor: 5.6
      release: 5.6.1
  update:
    3.x:
      major: 1
      minor: 2
      regex: '"current":"(3.[0-9.]*)"'
      single: 1
      url: https://api.wordpress.org/core/version-check/1.7/?version=3.9.8
    current:
      base: .download .button span
      major: 1
      minor: 2
      regex: 'Download(?:\s|&nbsp;)WordPress(?:\s|&nbsp;)([0-9.]*)'
      single: 1
      url: https://wordpress.org/download/
  versions:
    - file: wp-includes/version.php
      regex: \$wp_version = '(.*)'
xcart:
  fingerprints:
    - file: cart.php
      signature: X-Cart
  name: X-Cart
  releases:
    4:
      minor: 4.7
      release: 4.7.12
    5:
      minor: 5.4
      release: 5.4.1.24
  update:
    4:
      base: '.filehistory tr:nth-child(2) td[dir=ltr]'
      major: 1
      minor: 2
      regex: '^X-Cart v([0-9.]*).*$'
      single: 1
      url: http://help.x-cart.com/index.php?title=File:X-CART_CHANGELOG.txt
    5:
      base: '.sidebar #navigation-menu a'
      major: 1
      minor: 2
      regex: '^([0-9.]*) -.*$'
      single: 1
      url: http://kb.x-cart.com/display/XDD/Changelog
  versions:
    - file: VERSION
      regex: Version (.*)
    - file: Includes/install/install_settings.php
      regex: "LC_VERSION', '(.*)'"
xoops:
  fingerprints:
    - file: include/xoops.js
  name: XOOPS
  releases:
    2:
      minor: 2.5
      release: 2.5.10
  update:
    current:
      base: .xcontent-wrapper h2 font
      major: 1
      minor: 2
      regex: '^XOOPS ([0-9.]*).*$'
      url: http://xoops.org/modules/core/
  versions:
    - file: include/version.php
      regex: XOOPS_VERSION.*XOOPS (.*)'
yiiframework:
  fingerprints:
    - file: yiiframework/YiiBase.php
  name: YiiFramework
  releases:
    1:
      minor: 1.1
      release: 1.1.23
    2:
      minor: 2.0
      release: 2.0.40
  update:
    1.1:
      base: .release.label-latest a span
      major: 1
      minor: 2
      regex: '([0-9]*\.[0-9.]*)'
      single: 1
      url: https://github.com/yiisoft/yii/releases
    2.0:
      base: .release.label-latest a span
      major: 1
      minor: 2
      regex: '([0-9]*\.[0-9.]*)'
      single: 1
      url: https://github.com/yiisoft/yii2/releases
  versions:
    - file: yiiframework/YiiBase.php
      multiline: 1
      regex: getVersion\(\)\s+.*\s+return '(.*)'
zencart:
  fingerprints:
    - file: includes/filenames.php
      signature: Zen Cart
  name: ZenCart
  releases:
    1:
      minor: 1.5
      release: 1.5.7
  update:
    current:
      base: .my_right_box div a
      major: 1
      minor: 2
      regex: 'v([0-9.]*).*'
      single: 1
      url: https://www.zen-cart.com/
  versions:
    - file: includes/version.php
      multiline: 1
      regex: "PROJECT_VERSION_(?:MAJOR|MINOR)', '(.*)'"
